<?php
/*Add Home Page Options Panel.*/
$wp_customize->add_panel(
    'theme_home_option_panel',
    array(
        'title' => __( 'Front Page Options', 'blogmotive' ),
        'description' => __( 'Contains all front page settings', 'blogmotive'),
        'priority' => 50
    )
);
/**/
$wp_customize->add_section(
    'home_page_banner_option',
    array(
        'title'      => __( 'Main Banner Options', 'blogmotive' ),
        'panel'      => 'theme_home_option_panel',
    )
);

/* Home Page Layout */
$wp_customize->add_setting(
    'blogmotive_options[enable_banner_section]',
    array(
        'default'           => $default_options['enable_banner_section'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_banner_section]',
    array(
        'label'   => __( 'Enable Banner Section', 'blogmotive' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'blogmotive_options[banner_section_slider_layout]',
    array(
        'default'           => $default_options['banner_section_slider_layout'],
        'sanitize_callback' => 'blogmotive_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Blogmotive_Radio_Image_Control(
        $wp_customize,
        'blogmotive_options[banner_section_slider_layout]',
        array(
            'label' => __( 'Banner Slider Layout', 'blogmotive' ),
            'section' => 'home_page_banner_option',
            'choices' => blogmotive_get_slider_layouts()
        )
    )
);


$wp_customize->add_setting(
    'blogmotive_options[number_of_slider_post]',
    array(
        'default'           => $default_options['number_of_slider_post'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[number_of_slider_post]',
    array(
        'label'       => __( 'Post In Slider', 'blogmotive' ),
        'section'     => 'home_page_banner_option',
        'type'        => 'select',
        'choices'     => array(
            '3' => __( '3', 'blogmotive' ),
            '4' => __( '4', 'blogmotive' ),
            '5' => __( '5', 'blogmotive' ),
            '6' => __( '6', 'blogmotive' ),
        ),
    )
);


$wp_customize->add_setting(
    'blogmotive_options[slider_post_content_alignment]',
    array(
        'default'           => $default_options['slider_post_content_alignment'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[slider_post_content_alignment]',
    array(
        'label'       => __( 'Slider Content Alignment', 'blogmotive' ),
        'section'     => 'home_page_banner_option',
        'type'        => 'select',
        'choices'     => array(
            'text-right' => __( 'Align Right', 'blogmotive' ),
            'text-center' => __( 'Align Center', 'blogmotive' ),
            'text-left' => __( 'Align Left', 'blogmotive' ),
        ),
    )
);

$wp_customize->add_setting(
    'blogmotive_options[banner_section_cat]',
    array(
        'default'           => $default_options['banner_section_cat'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[banner_section_cat]',
    array(
        'label'   => __( 'Choose Banner Category', 'blogmotive' ),
        'section' => 'home_page_banner_option',
            'type'        => 'select',
        'choices'     => blogmotive_post_category_list(),
    )
);

$wp_customize->add_setting(
    'blogmotive_options[enable_banner_post_description]',
    array(
        'default'           => $default_options['enable_banner_post_description'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_banner_post_description]',
    array(
        'label'   => __( 'Enable Post Description', 'blogmotive' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogmotive_options[enable_banner_cat_meta]',
    array(
        'default'           => $default_options['enable_banner_cat_meta'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_banner_cat_meta]',
    array(
        'label'   => __( 'Enable Category Meta', 'blogmotive' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'blogmotive_options[enable_banner_author_meta]',
    array(
        'default'           => $default_options['enable_banner_author_meta'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_banner_author_meta]',
    array(
        'label'   => __( 'Enable Author Meta', 'blogmotive' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'blogmotive_options[enable_banner_date_meta]',
    array(
        'default'           => $default_options['enable_banner_date_meta'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_banner_date_meta]',
    array(
        'label'   => __( 'Enable Date On Banner', 'blogmotive' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogmotive_options[enable_banner_overlay]',
    array(
        'default'           => $default_options['enable_banner_overlay'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_banner_overlay]',
    array(
        'label'   => __( 'Enable Banner Overlay', 'blogmotive' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);