<?php

$wp_customize->add_setting('header_dark_logo',
    array(
        'default' => '',
        'sanitize_callback' => 'blogmotive_sanitize_image'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
        $wp_customize,
        'header_dark_logo',
        array(
            'label'      => esc_html__( 'Upload Logo for Dark Edition', 'blogmotive' ),
            'section'    => 'title_tagline',
        )
    )
);

$wp_customize->add_setting(
    'blogmotive_options[enable_header_bg_overlay]',
    array(
        'default'           => $default_options['enable_header_bg_overlay'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_header_bg_overlay]',
    array(
        'label'    => __( 'Enable Image Overlay', 'blogmotive' ),
        'section'  => 'header_image',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogmotive_options[header_image_size]',
    array(
        'default'           => $default_options['header_image_size'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[header_image_size]',
    array(
        'label'       => __( 'Select Header Size', 'blogmotive' ),
        'description' => __( 'Some options related to header may not show in the front-end based on header style chosen.', 'blogmotive' ),

        'section'     => 'header_image',
        'type'        => 'select',
        'choices'     => array(
            'none' => __( 'Default', 'blogmotive' ),
            'small' => __( 'Small', 'blogmotive' ),
            'medium' => __( 'Medium', 'blogmotive' ),
            'large' => __( 'Large', 'blogmotive' ),
        ),
    )
);
/*Header Options*/
$wp_customize->add_section(
    'header_options' ,
    array(
        'title' => __( 'Header Options', 'blogmotive' ),
        'panel' => 'blogmotive_option_panel',
    )
);

$wp_customize->add_setting(
    'blogmotive_section_seperator_header_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Blogmotive_Seperator_Control(
        $wp_customize,
        'blogmotive_section_seperator_header_1',
        array(
            'settings' => 'blogmotive_section_seperator_header_1',
            'section' => 'header_options',
        )
    )
);

/* Header Style */
$wp_customize->add_setting(
    'blogmotive_options[header_style]',
    array(
        'default'           => $default_options['header_style'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[header_style]',
    array(
        'label'       => __( 'Header Style', 'blogmotive' ),
        'description' => __( 'Some options related to header may not show in the front-end based on header style chosen.', 'blogmotive' ),

        'section'     => 'header_options',
        'type'        => 'select',
        'choices'     => array(
            'header_style_1' => __( 'Header Style 1', 'blogmotive' ),
            'header_style_2' => __( 'Header Style 2', 'blogmotive' ),
            'header_style_3' => __( 'Header Style 3', 'blogmotive' ),
        ),
    )
);

$wp_customize->add_setting(
    'blogmotive_section_seperator_header_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Blogmotive_Seperator_Control(
        $wp_customize,
        'blogmotive_section_seperator_header_2',
        array(
            'settings' => 'blogmotive_section_seperator_header_2',
            'section' => 'header_options',
        )
    )
);

/*Enable Sticky Menu*/
$wp_customize->add_setting(
    'blogmotive_options[enable_sticky_menu]',
    array(
        'default'           => $default_options['enable_sticky_menu'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_sticky_menu]',
    array(
        'label'    => __( 'Enable Sticky Menu', 'blogmotive' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
    )
);


$wp_customize->add_setting(
    'blogmotive_section_seperator_header_4',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Blogmotive_Seperator_Control(
        $wp_customize,
        'blogmotive_section_seperator_header_4',
        array(
            'settings' => 'blogmotive_section_seperator_header_4',
            'section' => 'header_options',
        )
    )
);



/*Enable Today's Date*/
$wp_customize->add_setting(
    'blogmotive_options[enable_header_time]',
    array(
        'default'           => $default_options['enable_header_time'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_header_time]',
    array(
        'label'    => __( 'Enable Current Time', 'blogmotive' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
        'active_callback'  => 'blogmotive_is_top_bar_enabled'
    )
);

/*Enable Today's Date*/
$wp_customize->add_setting(
    'blogmotive_options[enable_header_date]',
    array(
        'default'           => $default_options['enable_header_date'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_header_date]',
    array(
        'label'    => __( 'Enable Today\'s Date', 'blogmotive' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
        'active_callback'  => 'blogmotive_is_top_bar_enabled'
    )
);

/*Todays Date Format*/
$wp_customize->add_setting(
    'blogmotive_options[todays_date_format]',
    array(
        'default'           => $default_options['todays_date_format'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogmotive_options[todays_date_format]',
    array(
        'label'    => __( 'Today\'s Date Format', 'blogmotive' ),
        'description' => sprintf( wp_kses( __( '<a href="%s" target="_blank">Date and Time Formatting Documentation</a>.', 'blogmotive' ), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://wordpress.org/support/article/formatting-date-and-time' ) ),
        'section'  => 'header_options',
        'type'     => 'text',
        'active_callback'  =>  function( $control ) {
            return (
                blogmotive_is_top_bar_enabled( $control )
                &&
                blogmotive_is_todays_date_enabled( $control )
            );
        }
    )
);

if(class_exists( 'WooCommerce' )){
    
    /*Enable Mini Cart Icon on header*/
    $wp_customize->add_setting(
        'blogmotive_options[enable_mini_cart_header]',   
        array(
            'default'           => $default_options['enable_mini_cart_header'],
            'sanitize_callback' => 'blogmotive_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
        'blogmotive_options[enable_mini_cart_header]',
        array(
            'label'    => __( 'Enable Mini Cart Icon', 'blogmotive' ),
            'section'  => 'header_options',
            'type'     => 'checkbox',
        )
    );

    /*Enable Myaccount Link*/
    $wp_customize->add_setting(
        'blogmotive_options[enable_woo_my_account]',   
        array(
            'default'           => $default_options['enable_woo_my_account'],
            'sanitize_callback' => 'blogmotive_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
        'blogmotive_options[enable_woo_my_account]',
        array(
            'label'    => __( 'Enable My Account Icon', 'blogmotive' ),
            'section'  => 'header_options',
            'type'     => 'checkbox',
        )
    );
}